Subject: bug#23067: 25.0.92; A detail in the doc of query-replace

From: Michael Heerdegen <[email-masked]>
Date: Fri, 25 Mar 2016 16:55:27 +0100

Drew Adams <[email-masked]> writes:

> If we do say things like that then that gives credence to an
> impression that "end of buffer" might not always mean `point-max'
> (otherwise, we would not contrast it with a description of the buffer
> end when there is a restriction).

I don't think that "end-of-buffer" is such a good synonym for
`point-max'.

But OTOH, this is consistent with widely used functions as `eobp' and
`end-of-buffer'.  I didn't realize this when I created this report.

Since we will undoubtedly not rename these functions, it's best to leave
things as they are.  I still think it was not wrong to clear up things
in this special case, because to the user it could have made sense that
query-replace indeed would operate up to the real end of the buffer.

Thanks,

Michael.